Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0015723
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 00. Application dictionaryminoralways2011-01-21 08:522011-02-24 00:00
ReportermalsasuaView Statuspublic 
Assigned Toalostale 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisionebe5baf95742
ProjectionnoneETAnoneTarget Version2.50MP27
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product Version2.50MP25SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0015723: the link to project window can not be changed

Descriptionif you create a new window, with a new tab to the table c_project , and in the ad_table of c_project, you change the window selected to your new window, in the windows where the project is referenced (exists a link to project window), the link is to other window (project & Service Management || Transactions || Service Project || Service Project), but it should be to the new window
Steps To Reproduce. create new window W
. create new tab T with table c_project
. run "create fields" process
. go to Application Dictionary || Tables and Columns || Table
. go to c_project record
. change the window to "W"
. go to General Setup || Application || Menu || Menu
. create new record with window "W"

. compile complete
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00151382.50MP26 closedegoitz If you create new tabs on the settlement window and you deactive the standard ones the links to settlement window don't work 
depends on backport 00159272.50MP27 closedalostale the link to project window can not be changed 

-  Notes
(0034133)
alostale (developer)
2011-02-10 16:11

It is configurable through preferences, see ForcedLinkWindow* in this doc:
http://wiki.openbravo.com/wiki/Functional_Documentation/General_Setup#Attribute_Preferences [^]
(0034134)
hgbot (developer)
2011-02-10 16:12

Repository: erp/devel/pi
Changeset: ebe5baf95742816c622f0108aa10724f553bd32b
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Feb 10 16:12:02 2011 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ebe5baf95742816c622f0108aa10724f553bd32b [^]

fixed issue 15723: Direct navigation is customizable by preferences

---
M src/org/openbravo/erpCommon/utility/ReferencedLink.java
---
(0034331)
marvintm (developer)
2011-02-23 11:27

Verified that the preference works both in Openbravo 3 and in 2.50/classic mode

- Issue History
Date Modified Username Field Change
2011-01-21 08:52 malsasua New Issue
2011-01-21 08:52 malsasua Assigned To => alostale
2011-01-21 08:52 malsasua Modules => Core
2011-01-21 08:52 malsasua Issue Monitored: malsasua
2011-01-21 08:52 malsasua Issue End Monitor: malsasua
2011-01-21 08:52 malsasua Issue Monitored: networkb
2011-01-24 08:52 alostale Status new => scheduled
2011-01-24 08:52 alostale fix_in_branch => pi
2011-01-24 18:49 rafaroda Issue Monitored: rafaroda
2011-02-01 10:10 jonalegriaesarte fix_in_branch pi =>
2011-02-09 11:52 alostale Relationship added related to 0015138
2011-02-10 16:11 alostale Note Added: 0034133
2011-02-10 16:11 alostale Status scheduled => acknowledged
2011-02-10 16:11 alostale Status acknowledged => scheduled
2011-02-10 16:11 alostale fix_in_branch => pi
2011-02-10 16:12 hgbot Checkin
2011-02-10 16:12 hgbot Note Added: 0034134
2011-02-10 16:12 hgbot Status scheduled => resolved
2011-02-10 16:12 hgbot Resolution open => fixed
2011-02-10 16:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ebe5baf95742816c622f0108aa10724f553bd32b [^]
2011-02-23 11:27 marvintm Note Added: 0034331
2011-02-23 11:27 marvintm Status resolved => closed
2011-02-24 00:00 anonymous sf_bug_id 0 => 3190628


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker